Upgrade ConApp ArcMC C6700 Appliance 3.2.3 postgresql issue

Hi,

We upgraded our ConApp ArcMC appliance from 3.2.2 to the latest version 3.2.3.

The os upgrade package completed successfully without errors.

The application upgrade package completed successfully without errors.

However, after restarting, the following services could not start (Exec Fail / not monitored)

-postgresql
-aps

Looking at  /opt/arcsight/userdata/logs/pgsql/serverlog , we see this error:

FATAL: database files are incompatible with server
DETAIL: The data directory was initialized by PostGreSQL version 13, which is not compatible with this version 15.4

The arcmc-2332 upgrade log file also indicated that during the postgresql upgrade, the data directory upgrade did not succeed.

Is there a way to redo the DB upgrade again or any other solutions avail?

Thanks,

Kevin